/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.aws.iot.pubsub;

/**
 * The listener interface when receiving MQTT messages from AWS IoT.
 */
public interface TopicListener {

	/**
	 * Called whenever a message arrives in the broker
	 *
	 * @param topic
	 *            the topic where is the message is received
	 * @param dataReceived
	 *            the array of bytes of the message (encoding assumed to be ASCII)
	 */
	public void onDataReceived(String topic, byte[] dataReceived);

}
