/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import java.io.IOException;

/**
 * Describe the capabilities of a Multilevel Sensor.
 */
public interface MultilevelSensor extends Profile {

	/**
	 * Get the last known value of this device.
	 *
	 * @return the last known value, or {@link MultilevelValue#UNKNOWN} if unknown.
	 */
	double getLastKnownValue();

	/**
	 * Request a value update.
	 *
	 * @throws IOException
	 *             if there is a communication error with the device
	 */
	void requestUpdate() throws IOException;
}
