/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import java.io.IOException;

/**
 * A switch that communicates its state.
 */
public interface SwitchWithReturnState extends Switch {
	/**
	 * Get the last known state of this device.
	 * 
	 * @return the last known state
	 */
	int getLastKnownState();

	/**
	 * Ask for this device's state to be updated.
	 * 
	 * @throws IOException
	 *             if there is a communication error with the device
	 */
	void requestStateUpdate() throws IOException;
}
