/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.impl;


import ej.basedriver.event.Event;
import ej.ecom.Device;

/**
 * An abstract event type.
 */
public abstract class AbstractEvent<D extends Device> implements Event<D>{
	protected D device ;

	public AbstractEvent(D device) {
		this.device = device;
	}

	/**
	 * @return the device
	 */
	@Override
	public D getDevice() {
		return device;
	}
}
