/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.zwave.util;

/**
 * 
 */
public interface Logger {
	/**
	 * Log a SEVERE message.
	 * @param   msg     The string message
	 */
	public void severe(String msg) ;

	/**
	 * Log a WARNING message.
	 * @param   msg     The string message
	 */
	public void warning(String msg) ;

	/**
	 * Log an INFO message.
	 * @param   msg     The string message
	 */
	public void info(String msg) ;

	/**
	 * Log a CONFIG message.
	 * @param   msg     The string message
	 */
	public void config(String msg) ;

	/**
	 * Log a FINE message.
	 * @param   msg     The string message
	 */
	public void fine(String msg) ;

	/**
	 * Log a FINER message.
	 * @param   msg     The string message
	 */
	public void finer(String msg) ;

	/**
	 * Log a FINEST message.
	 * @param   msg     The string message
	 */
	public void finest(String msg) ;

	/**
	 * 
	 * @param numberOfTransmissions
	 * @param frame
	 */
	public void logSendFrame(int numberOfTransmissions, byte [] frame);

	/**
	 * 
	 * @param frame
	 */
	public void logReceiveFrame(byte [] frame);
}
