package java.lang;

/**
 * An IllegalAccessException is thrown when an application tries to reflectively create an instance
 * (other than an array), set or get a field, or invoke a method, but the currently executing method
 * does not have access to the definition of the specified class, field, method or constructor.
 * 
 * @see Class#newInstance()
 */
public class IllegalAccessException extends ReflectiveOperationException {

	/**
	 * Constructs an <code>IllegalAccessException</code> without a detail message.
	 */
	public IllegalAccessException() {
		throw new RuntimeException();
	}

	/**
	 * Constructs an <code>IllegalAccessException</code> with a detail message.
	 * 
	 * @param s
	 *        the detail message.
	 */
	public IllegalAccessException(String s) {
		throw new RuntimeException();
	}
}
